---
title: Update an existing user group
canonical: https://openvpn.net/cloud-docs/developer/cloudconnexa-api-v1-2-3/user-group/update-an-existing-user-group/
product: CloudConnexa Docs
---

# Update an existing user group

`PUT /api/v1/user-groups/{id}`

**Update an existing user group.**

## Body parameter

```json
{
  "name": "string",
  "vpnRegionIds": [
    "string"
  ],
  "internetAccess": "SPLIT_TUNNEL_ON",
  "maxDevice": 0,
  "connectAuth": "NO_AUTH",
  "allRegionsIncluded": true,
  "gatewaysIds": [
    "string"
  ],
  "tunnelBypass": {
    "ipv4Subnets": [
      "string"
    ]
  }
}
```

## Parameters

| Name | In | Type | Required | Description |
| --- | --- | --- | --- | --- |
| id | path | string | true | none |
| body | body | [UserGroupRequest](https://openvpn.net/cloud-docs/developer/cloudconnexa-api-v1-2-3/schemas/usergrouprequest.md) | true | none |
| » name | body | string | false | none |
| » vpnRegionIds | body | \[string\] | false | none |
| » internetAccess | body | string | false | none |
| » maxDevice | body | integer(int32) | false | none |
| » connectAuth | body | string | false | none |
| » allRegionsIncluded | body | boolean | false | none |
| » gatewaysIds | body | \[string\] | false | none |
| » tunnelBypass | body | [TunnelBypassRequest](https://openvpn.net/cloud-docs/developer/cloudconnexa-api-v1-2-3/schemas/tunnelbypassrequest.md) | false | none |
| »» ipv4Subnets | body | \[string\] | false | none |

### Enumerated Values

| Parameter | Value |
| --- | --- |
| » internetAccess | SPLIT\_TUNNEL\_ON |
| » internetAccess | SPLIT\_TUNNEL\_OFF |
| » internetAccess | RESTRICTED\_INTERNET |
| » connectAuth | NO\_AUTH |
| » connectAuth | ON\_PRIOR\_AUTH |
| » connectAuth | EVERY\_TIME |

## Responses

| Status | Meaning | Description | Schema |
| --- | --- | --- | --- |
| 200 | [OK](https://tools.ietf.org/html/rfc7231#section-6.3.1) | OK | [UserGroupResponse](https://openvpn.net/cloud-docs/developer/cloudconnexa-api-v1-2-3/schemas/usergroupresponse.md) |

To perform this operation, you must be authenticated by means of one of the following methods: oauth

---

Prev: [Get user group](https://openvpn.net/cloud-docs/developer/cloudconnexa-api-v1-2-3/user-group/get-user-group.md)
Next: [Delete an existing user group](https://openvpn.net/cloud-docs/developer/cloudconnexa-api-v1-2-3/user-group/delete-an-existing-user-group.md)
Index: https://openvpn.net/cloud-docs/llms.txt
